/////////////////////////////////////////////////////////////////////
// WSOUL1.S		-	Upper Well of Souls  -or-  The Palace of Souls
/////////////////////////////////////////////////////////////////////

SETUP

	IF !gt_PLACED_WSOUL1
		Add gt_PLACED_WSOUL1

		ResetStats LORDBANE
		PlaceC LORDBANE pBANE
		PlaceC HS_MAHORAZ pMAHORAZ
		PlaceC WELL_GUARD_1 pG_1
		PlaceC WELL_GUARD_2 pG_2
		PlaceC WELL_GUARD_3 pG_3
		PlaceC WELL_GUARD_4 pG_4
		PlaceC WELL_RAAL_1 pR_1
		PlaceC WELL_RAAL_2 pR_2
		PlaceC WELL_RAAL_3 pR_3
		PlaceC WELL_RAAL_4 pR_4
		PlaceC WELL_RAAL_5 pR_5
		PlaceC WELL_RAAL_6 pR_6
		PlaceC WELL_RAAL_7 pR_7
		PlaceC WELL_RAAL_8 pR_8
		PlaceC WELL_RAAL_9 pR_9

		WanderNotFar LORDBANE 2 7

		MoveC HS_MAHORAZ pMAHORAZ
		AddControl HS_MAHORAZ Capture cM_MUSE_COMPASS
		AddControl HS_MAHORAZ EngagePoint pR_1 800
		AddControl HS_MAHORAZ EngagePoint pR_2 800
		AddControl HS_MAHORAZ EngagePoint pR_3 800
		AddControl HS_MAHORAZ EngagePoint pR_4 800
		SequenceRandomlySelects HS_MAHORAZ

		RunS WellGuardActions

		Filter WELL_RAAL_1 CompletesOnDamaged WanderNotFar 3 5
		AddControl WELL_RAAL_1 MeleeAttack
		Filter WELL_RAAL_2 CompletesOnDamaged WanderNotFar 3 5
		AddControl WELL_RAAL_2 MeleeAttack
		Filter WELL_RAAL_3 CompletesOnDamaged WanderNotFar 3 5
		AddControl WELL_RAAL_3 MeleeAttack
		Filter WELL_RAAL_4 CompletesOnDamaged WanderNotFar 3 5
		AddControl WELL_RAAL_4 MeleeAttack
		Filter WELL_RAAL_5 CompletesOnDamaged WanderNotFar 3 5
		AddControl WELL_RAAL_5 MeleeAttack
		Filter WELL_RAAL_6 CompletesOnDamaged WanderNotFar 3 5
		AddControl WELL_RAAL_6 MeleeAttack
		Filter WELL_RAAL_7 CompletesOnDamaged WanderNotFar 3 5
		AddControl WELL_RAAL_7 MeleeAttack
		Filter WELL_RAAL_8 CompletesOnDamaged WanderNotFar 3 5
		AddControl WELL_RAAL_8 MeleeAttack
		Filter WELL_RAAL_9 CompletesOnDamaged WanderNotFar 3 5
		AddControl WELL_RAAL_9 MeleeAttack

	ENDIF

	IF gt_PURSUE_SKORN_TO_UPPERWELL

		IF !gt_PLACED_WSOUL1_SKORN
			Add gt_PLACED_WSOUL1_SKORN

			//EnableTeleport RW_D2
			Add gt_CUE_SKORN
			PlaceC SKORN pSKORN
		ENDIF

	ENDIF

END

VIG TempSetup FALSE

	DisableTeleport RW_HEXSTONE
	IF !gt_PURSUE_SKORN_TO_UPPERWELL
		DisableTeleport RW_D2
	ENDIF
	IF !gt_WELL_TELEPORT_ENABLED
		DisableTeleport RW_A_WS
		DisableTeleport RW_B_WS
		DisableTeleport RW_C_WS
		DisableTeleport RW_D_WS
	ENDIF

	SetWeather 0 0 0 0 0 0 0 0
	//SwapModel SKORN SkornD

	FX_Torch 9122 11178 1034
	FX_Torch 7267 11133 1034
	FX_Torch 6558 11128 1034
	FX_Torch 9891 11152 1034
	FX_Torch 9814 5259 1034
	FX_Torch 9121 5288 1034
	FX_Torch 7282 5285 1034
	FX_Torch 6526 5287 1034
	FX_Torch 3962 3986 1174
	FX_Torch 3225 4019 1174
	FX_Torch 12421 4007 1174
	FX_Torch 13140 4000 1174
	FX_Torch 12414 12394 1174
	FX_Torch 13143 12374 1174
	FX_Torch 3967 12408 1174
	FX_Torch 3231 12404 1174
	FX_Torch 2513 8494 1174
	FX_Torch 2508 7882 1174
	FX_Torch 2680 7057 1174
	FX_Torch 2674 9330 1174
	FX_Torch 2679 14465 1174
	FX_Torch 6523 14195 1034
	FX_Torch 9854 14226 1034
	FX_Torch 13718 14458 1174
	FX_Torch 10647 14472 1174
	FX_Torch 13871 7888 1174
	FX_Torch 13875 8502 1174
	FX_Torch 13748 9316 1174
	FX_Torch 13710 7067 1174
	FX_Torch 13742 2189 1174
	FX_Torch 9897 2152 1034
	FX_Torch 6546 2187 1034
	FX_Torch 5808 2137 1174
	FX_Torch 2655 2170 1174
	FX_Torch 10606 2152 1174

	CachePortrait ABHOL.BIN
	CachePortrait CHARON.BIN
	IF gt_CUE_SKORN
		CachePortrait SKORNHMN.BIN
		CachePortrait PC5.BIN
	ELSE
		CachePortrait KNGHADES.BIN
		CachePortrait LORDBANE.BIN
	ENDIF
	
END

/////////////////////////////////////////////////////////////////////
//
// *** Pursuing Skorn to the end game ***
//
/////////////////////////////////////////////////////////////////////

VIG SkornTauntsPlayer gt_CUE_SKORN

	Remove gt_CUE_SKORN

	Widescreen TRUE

	PlaySFXPerson	vampires3.WAV P
	Capture			P	cM_V6_LOOK_AROUND2_BETTER
	SetWalkType SKORN walk
	Engage SKORN P 750
	Wait 2500
	LookAtTurn P SKORN
	AddControl SKORN Capture cM_TALK_REFER_SELF1
	AddControl SKORN DelayControl 1 1
	AddControl SKORN Capture cM_TALK_QUESTION1
	AddControl SKORN DelayControl 1 1
	AddControl SKORN Capture cM_TALK_QUESTION2
	Say ko0bi1

	Capture P cM_TALK_DISAGREE1
	Say Hx0bi1

	Capture SKORN cM_TALK_SURPRISE1
	AddControl SKORN DelayControl 1 1
	AddControl SKORN Capture cM_TALK_REFER_SELF2
	Say ko0bi2

	Capture P cM_TALK_WARNING1
	Say Hx0bi2

	Capture SKORN cM_TALK_CROWD1
	AddControl SKORN DelayControl 1 1
	AddControl SKORN Capture cM_TALK_REFER_BEHIND1
	AddControl SKORN DelayControl 1 1
	AddControl SKORN Capture cM_TALK_REFER_SELF2
	Say ko0bi3

	Capture P cM_TALK_WARNING2
	Say Hx0bi3

	AttackDemo2 SKORN
	Add gt_P_WS1_FIGHT

	Widescreen FALSE

END

/////////////////////////////////////////////////////////////////////

VIG SkornFlees ONESEC && gt_P_WS1_FIGHT && HPLESSTHAN-SKORN-hp_SKORN_WELL

	Remove gt_P_WS1_FIGHT
	Add gt_SKORN_FLEES_WS1

	SetWalkType SKORN run
	MoveC SKORN pSKORN_EXIT

END

/////////////////////////////////////////////////////////////////////

VIG SkornEscapes ONESEC && gt_SKORN_FLEES_WS1 && CC-SKORN

	Remove gt_SKORN_FLEES_WS1
	SetWalkType SKORN walk
	FX_Teleport SKORN
	RemoveC SKORN
	Add gt_PURSUE_SKORN_TO_WSOUL

END

/////////////////////////////////////////////////////////////////////
//
// *** The four elemental symbols and the well-keeper ***
//
/////////////////////////////////////////////////////////////////////

VIG UpdateLights FIVESEC

	IF gt_WELL_TELEPORT_ENABLED
		FX_WhiteFireGlow pSYMBOL_A
		FX_WhiteFireGlow pSYMBOL_B
		FX_WhiteFireGlow pSYMBOL_C
		FX_WhiteFireGlow pSYMBOL_D
	ELSE
		IF gt_ELEMENT_A_LIT
			FX_BlueFireGlow pSYMBOL_A
		ENDIF
		IF gt_ELEMENT_B_LIT
			FX_BlueFireGlow pSYMBOL_B
		ENDIF
		IF gt_ELEMENT_C_LIT
			FX_BlueFireGlow pSYMBOL_C
		ENDIF
		IF gt_ELEMENT_D_LIT
			FX_BlueFireGlow pSYMBOL_D
		ENDIF
	ENDIF

END

/////////////////////////////////////////////////////////////////////

VIG Quest_A_Complete ONESEC && !gt_ELEMENT_A_LIT && INAREA-P-ELEMENT_A

	Add gt_ELEMENT_A_LIT
	Widescreen TRUE
	camnlock 0
	campan pSYMBOL_A
	Wait 1000
	RunS UpdateLights
	AwardEP xp_HADES_QUEST
	Wait 2500
	RunS CheckHadesQuests
	campan P
	Widescreen FALSE

END

/////////////////////////////////////////////////////////////////////

VIG Quest_B_Complete ONESEC && !gt_ELEMENT_B_LIT && INAREA-P-ELEMENT_B

	Add gt_ELEMENT_B_LIT
	Widescreen TRUE
	camnlock 90
	campan pSYMBOL_B
	Wait 1000
	RunS UpdateLights
	AwardEP xp_HADES_QUEST
	Wait 2500
	RunS CheckHadesQuests
	campan P
	Widescreen FALSE

END

/////////////////////////////////////////////////////////////////////

VIG Quest_C_Complete ONESEC && !gt_ELEMENT_C_LIT && INAREA-P-ELEMENT_C

	Add gt_ELEMENT_C_LIT
	Widescreen TRUE
	camnlock 180
	campan pSYMBOL_C
	Wait 1000
	RunS UpdateLights
	AwardEP xp_HADES_QUEST
	Wait 2500
	RunS CheckHadesQuests
	campan P
	Widescreen FALSE

END

/////////////////////////////////////////////////////////////////////

VIG Quest_D_Complete ONESEC && !gt_ELEMENT_D_LIT && INAREA-P-ELEMENT_D

	Add gt_ELEMENT_D_LIT
	Widescreen TRUE
	camnlock 270
	campan pSYMBOL_D
	Wait 1000
	RunS UpdateLights
	AwardEP xp_HADES_QUEST
	Wait 2500
	RunS CheckHadesQuests
	campan P
	Widescreen FALSE

END

/////////////////////////////////////////////////////////////////////

VIG CheckHadesQuests FALSE

	IF gt_ELEMENT_A_LIT	&& gt_ELEMENT_B_LIT	&& gt_ELEMENT_C_LIT	&& gt_ELEMENT_D_LIT
		PlayMusic MUSIC02.WAV
		Wait 1000
		FX_GreenFire pKEEPER
		PlaceC WELL_KEEPER pKEEPER
		FX_GreenFire KEEPER
		AwardEP xp_HADES_QUESTS
		Wait 1000
	ENDIF
	RunS UpdateLights

END

/////////////////////////////////////////////////////////////////////

VIG TalkToWellKeeper MSG-iWELL_KEEPER

	Widescreen TRUE
	UnDrawSwordRemember
	EngageAndFace P WELL_KEEPER
	IF gt_PURSUE_SKORN_TO_WSOUL
		QuickSay wk0003
		WHILE SPEAKING
			TryToRunS UpdateLights
			Wait 100
		ENDWHILE
		EnableTeleport RW_A_WS
		EnableTeleport RW_B_WS
		EnableTeleport RW_C_WS
		EnableTeleport RW_D_WS
		Add gt_WELL_TELEPORT_ENABLED
		RunS UpdateLights
	ELSE
		IF ce_WELL_KEEPER
			Say wk0002
			WHILE SPEAKING
				TryToRunS UpdateLights
				Wait 100
			ENDWHILE
		ELSE
			Add ce_WELL_KEEPER
			Say wk0001
			WHILE SPEAKING
				TryToRunS UpdateLights
				Wait 100
			ENDWHILE
		ENDIF
	ENDIF
	Widescreen FALSE

END

/////////////////////////////////////////////////////////////////////
//
// *** Lord Bane and Mahoraz ***
//
/////////////////////////////////////////////////////////////////////

VIG ApproachMahoraz ONESEC && !gt_HS_MAHORAZ_SPOKEN && (INAREA-P-NEAR_MAHORAZ || DAMAGED-HS_MAHORAZ)

	Add gt_HS_MAHORAZ_SPOKEN

	//IF INAREA-P-NEAR_MAHORAZ
//		Widescreen TRUE
		SetHP HS_MAHORAZ 2000
		LookAtTurnFollow HS_MAHORAZ P
		SetHP HS_MAHORAZ 2000
		campan HS_MAHORAZ
		SetHP HS_MAHORAZ 2000
		QuickSay mz0001

		IF DAMAGED-HS_MAHORAZ
			WHILE SPEAKING
				SetHP HS_MAHORAZ 2000
				Wait 100
			ENDWHILE
		ENDIF

		ChangeProfileToIdentified Hwell_Mahoraz
		camcut P
//		Widescreen FALSE
	//ENDIF

	GiveSightOfPlayerTo HS_MAHORAZ
	GiveSightOfPlayerTo WELL_RAAL_1
	GiveSightOfPlayerTo WELL_RAAL_2
	GiveSightOfPlayerTo WELL_RAAL_3
	GiveSightOfPlayerTo WELL_RAAL_4
	AttackDemo2 HS_MAHORAZ
	AttackDemo2 WELL_RAAL_1
	AttackDemo2 WELL_RAAL_2
	AttackDemo2 WELL_RAAL_3
	AttackDemo2 WELL_RAAL_4


END

/////////////////////////////////////////////////////////////////////

VIG MahorazDefeated FIVESEC && !gt_MAHORAZ_KILLED_IN_WSOUL1 && ISDEAD-HS_MAHORAZ

	Add gt_MAHORAZ_KILLED_IN_WSOUL1

END

/////////////////////////////////////////////////////////////////////

VIG TalkToBane MSG-iLORDBANE

	Widescreen TRUE

	IF gt_MAHORAZ_KILLED_IN_WSOUL1
		IF !gt_BANE_GIVEN_COIN
			UnDrawSwordRemember
			EngageAndFace P LORDBANE
			UUComplete P
			QuickSay lbwos2
			Wait 12500
			Capture LORDBANE cM_TOSS_GENTLE
			Capture P cM_OBJ_ACCEPT_1H1
			UUComplete LORDBANE
			AwardOb P hades_key_gold_2 "key"
			Add gt_BANE_GIVEN_COIN
			Add co_HADES_COIN
			UUSay
			DrawSwordRemember

			MoveCDir LORDBANE pBANE_EXIT
			AddControl LORDBANE Capture cM_TALOS_KNEEL1_KNEEL
			AddControl LORDBANE DelayControl 2 0
		ENDIF
	ELSE
		LookAtTurnFollow P LORDBANE
		FreezeC LORDBANE
		Say lbwos1
		UnFreezeC LORDBANE
	ENDIF

	Widescreen FALSE

END

/////////////////////////////////////////////////////////////////////

VIG BaneGoesToTheWell gt_BANE_GIVEN_COIN && CC-LORDBANE

	FX_YellowFire LORDBANE
	KillC LORDBANE
	Remove gt_BANE_GIVEN_COIN
	AwardEP xp_BANE_WELL

END

/////////////////////////////////////////////////////////////////////

VIG DR_Mahoraz MSG-DR_HS_MAHORAZ

	IF !gt_PLAYED_DR_HS_MAHORAZ
		Widescreen TRUE

		EngageAndFace P HS_MAHORAZ
		Say mz0002
		Add gt_PLAYED_DR_HS_MAHORAZ

		IF POS-P-stake
			Say mz0003
			UUComplete P
			Capture P cM_STAKE_1
			Add f_MAHORAZ_DEAD
			wait 1000
			FX_HexStake HS_MAHORAZ
			AwardEP xp_MAHORAZ_DEAD
			UUComplete P
			DeleteObjectsInBackpackWithID P stake 1
			Wait 1000
		ELSE
			Say mz0004
		ENDIF

		Widescreen FALSE
	ELSE
		Runs DR_GENERIC_FAIL
	ENDIF

END

/////////////////////////////////////////////////////////////////////
//
// *** The guardians of the Well ***
//
/////////////////////////////////////////////////////////////////////

VIG WellGuardActions FALSE

	Filter WELL_GUARD_1 Timeout 25 MoveC pG_1
	AddControl WELL_GUARD_1 Filter Timeout 2 Wander
	AddControl WELL_GUARD_1 Filter Timeout 10 MeleeAttack
	SequenceLoops WELL_GUARD_1
	Filter WELL_GUARD_2 Timeout 25 MoveC pG_2
	AddControl WELL_GUARD_2 Filter Timeout 2 Wander
	AddControl WELL_GUARD_2 Filter Timeout 10 MeleeAttack
	SequenceLoops WELL_GUARD_2
	Filter WELL_GUARD_3 Timeout 25 MoveC pG_3
	AddControl WELL_GUARD_3 Filter Timeout 2 Wander
	AddControl WELL_GUARD_3 Filter Timeout 10 MeleeAttack
	SequenceLoops WELL_GUARD_3
	Filter WELL_GUARD_4 Timeout 25 MoveC pG_4
	AddControl WELL_GUARD_4 Filter Timeout 2 Wander
	AddControl WELL_GUARD_4 Filter Timeout 10 MeleeAttack
	SequenceLoops WELL_GUARD_4

END

/////////////////////////////////////////////////////////////////////

VIG Guard_1_Speaks MSG-iWELL_GUARD_1 && !gt_WELL_DOOR_1_OPEN

	Widescreen TRUE
	Engage P WELL_GUARD_1 750
	LookAtTurnFollow WELL_GUARD_1 P
	IF !POS-P-hades_key_gold_1
		Say wg0001 ABHOL.BIN
		Add co_BARADATHLIN
		Add co_HADES_COIN
		IF !gt_QL_503
			Add gt_QL_503
			QLAdd ql503 qlt503 qlb503
		ENDIF
	ELSE
		QLRemove ql503
		AwardEP xp_HADES_QUEST
		PlaySFX		hex-stone-activation.wav
		DeleteObjectsInBackPackWithID P hades_key_gold_1
		Add gt_WELL_DOOR_1_OPEN
		IDoorClosed dWELL_1
		RDoorOpen dWELL_1
		Say wg0005 ABHOL.BIN
	ENDIF
	RunS WellGuardActions
	Widescreen FALSE

END

/////////////////////////////////////////////////////////////////////

VIG Guard_2_Speaks MSG-iWELL_GUARD_2 && !gt_WELL_DOOR_2_OPEN

	Widescreen TRUE
	Engage P WELL_GUARD_2 750
	LookAtTurnFollow WELL_GUARD_2 P
	IF !POS-P-hades_key_gold_2
		Say wg0002 ABHOL.BIN
		Add co_HADES_COIN
		IF !gt_QL_512
			Add gt_QL_512
			QLAdd ql512 qlt512 qlb512
		ENDIF
	ELSE
		QLRemove ql512
		AwardEP xp_HADES_QUEST
		PlaySFX		hex-stone-activation.wav
		DeleteObjectsInBackPackWithID P hades_key_gold_2
		Add gt_WELL_DOOR_2_OPEN
		IDoorClosed dWELL_2
		RDoorOpen dWELL_2
		Say wg0005 ABHOL.BIN
	ENDIF
	RunS WellGuardActions
	Widescreen FALSE

END

/////////////////////////////////////////////////////////////////////

VIG Guard_3_Speaks MSG-iWELL_GUARD_3 && !gt_WELL_DOOR_3_OPEN

	Widescreen TRUE
	Engage P WELL_GUARD_3 750
	LookAtTurnFollow WELL_GUARD_3 P
	IF !POS-P-hades_key_gold_3
		Say wg0003 ABHOL.BIN
		Add co_HADES_COIN
		IF !gt_QL_505
			Add gt_QL_505
			QLAdd ql505 qlt505 qlb505
		ENDIF
	ELSE
		QLRemove ql505
		AwardEP xp_HADES_QUEST
		PlaySFX		hex-stone-activation.wav
		DeleteObjectsInBackPackWithID P hades_key_gold_3
		Add gt_WELL_DOOR_3_OPEN
		IDoorClosed dWELL_3
		RDoorOpen dWELL_3
		Say wg0005 ABHOL.BIN
	ENDIF
	RunS WellGuardActions
	Widescreen FALSE

END

/////////////////////////////////////////////////////////////////////

VIG Guard_4_Speaks MSG-iWELL_GUARD_4 && !gt_WELL_DOOR_4_OPEN

	Widescreen TRUE
	Engage P WELL_GUARD_4 750
	LookAtTurnFollow WELL_GUARD_4 P
	IF !POS-P-hades_key_gold_4
		Say wg0004 ABHOL.BIN
		Add co_HADES_COIN
		IF !gt_QL_509
			Add gt_QL_509
			QLAdd ql509 qlt509 qlb509
		ENDIF
	ELSE
		QLRemove ql509
		AwardEP xp_HADES_QUEST
		PlaySFX		hex-stone-activation.wav
		DeleteObjectsInBackPackWithID P hades_key_gold_4
		Add gt_WELL_DOOR_4_OPEN
		IDoorClosed dWELL_4
		RDoorOpen dWELL_4
		Say wg0005 ABHOL.BIN
	ENDIF
	RunS WellGuardActions
	Widescreen FALSE

END

/////////////////////////////////////////////////////////////////////

VIG Guard_1_Dead ONESEC && ISDEAD-WELL_GUARD_1 && !gt_WELL_DOOR_1_OPEN
	Add gt_WELL_DOOR_1_OPEN
	IDoorClosed dWELL_1
	RDoorOpen dWELL_1
END

/////////////////////////////////////////////////////////////////////

VIG Guard_2_Dead ONESEC && ISDEAD-WELL_GUARD_2 && !gt_WELL_DOOR_2_OPEN
	Add gt_WELL_DOOR_2_OPEN
	IDoorClosed dWELL_2
	RDoorOpen dWELL_2
END

/////////////////////////////////////////////////////////////////////

VIG Guard_3_Dead ONESEC && ISDEAD-WELL_GUARD_3 && !gt_WELL_DOOR_3_OPEN
	Add gt_WELL_DOOR_3_OPEN
	IDoorClosed dWELL_3
	RDoorOpen dWELL_3
END

/////////////////////////////////////////////////////////////////////

VIG Guard_4_Dead ONESEC && ISDEAD-WELL_GUARD_4 && !gt_WELL_DOOR_4_OPEN
	Add gt_WELL_DOOR_4_OPEN
	IDoorClosed dWELL_4
	RDoorOpen dWELL_4
END

/////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////

VIG FlyBy FALSE

	Widescreen TRUE

	// *** EXAMPLE CAMERA FLY-BY CODE ***

	// use UUCameraComplete to wait for a pan to finish
	// use SetCamMoveConstant to set camera movement per frame
	//     - remember the movie is played at 25fps no matter how slow it records

	SetCamMoveConstant 17
	FreeCam
	camcut flyby03

	PhotoOn

	campan flyby02
	UUCameraComplete

	campan flyby01
	UUCameraComplete

	campan flyby04
	UUCameraComplete


	PhotoOff

	// *** END OF FLY-BY ***

	Widescreen FALSE

END

/////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////

VIG FlyBy2 FALSE

	Widescreen TRUE

	// *** EXAMPLE CAMERA FLY-BY CODE ***

	// use UUCameraComplete to wait for a pan to finish
	// use SetCamMoveConstant to set camera movement per frame
	//     - remember the movie is played at 25fps no matter how slow it records

	SetCamMoveConstant 8
	FreeCam
	camcut flyby05

	PhotoOn

	campan flyby06
	UUCameraComplete

	campan flyby07
	UUCameraComplete


	PhotoOff

	// *** END OF FLY-BY ***

	Widescreen FALSE

END

/////////////////////////////////////////////////////////////////////

VIG RaalNoise1 FIVESEC && ONMAP-WELL_RAAL_1 && !ISDEAD-WELL_RAAL_1 && !INCOMBAT-WELL_RAAL_1
	SWITCH RAND-12
		CASE 0
			SWITCH RAND-3
				CASE 0
					PlaySFXPerson Raal1.wav WELL_RAAL_1
				CASE 1
//					PlaySFXPerson Raal2.wav WELL_RAAL_1
				CASE 2
					PlaySFXPerson Raal9.wav WELL_RAAL_1
			ENDSWITCH 
	ENDSWITCH
END

/////////////////////////////////////////////////////////////////////

VIG RaalNoise2 FIVESEC && ONMAP-WELL_RAAL_2 && !ISDEAD-WELL_RAAL_2 && !INCOMBAT-WELL_RAAL_2
	SWITCH RAND-12
		CASE 0
			SWITCH RAND-3
				CASE 0
					PlaySFXPerson Raal1.wav WELL_RAAL_2
				CASE 1
//					PlaySFXPerson Raal2.wav WELL_RAAL_2
				CASE 2
					PlaySFXPerson Raal9.wav WELL_RAAL_2
			ENDSWITCH 
	ENDSWITCH
END

/////////////////////////////////////////////////////////////////////

VIG RaalNoise3 FIVESEC && ONMAP-WELL_RAAL_3 && !ISDEAD-WELL_RAAL_3 && !INCOMBAT-WELL_RAAL_3
	SWITCH RAND-12
		CASE 0
			SWITCH RAND-3
				CASE 0
					PlaySFXPerson Raal1.wav WELL_RAAL_3
				CASE 1
//					PlaySFXPerson Raal2.wav WELL_RAAL_3
				CASE 2
					PlaySFXPerson Raal9.wav WELL_RAAL_3
			ENDSWITCH 
	ENDSWITCH
END

/////////////////////////////////////////////////////////////////////

VIG RaalNoise4 FIVESEC && ONMAP-WELL_RAAL_4 && !ISDEAD-WELL_RAAL_4 && !INCOMBAT-WELL_RAAL_4
	SWITCH RAND-12
		CASE 0
			SWITCH RAND-3
				CASE 0
					PlaySFXPerson Raal1.wav WELL_RAAL_4
				CASE 1
//					PlaySFXPerson Raal2.wav WELL_RAAL_4
				CASE 2
					PlaySFXPerson Raal9.wav WELL_RAAL_4
			ENDSWITCH 
	ENDSWITCH
END

/////////////////////////////////////////////////////////////////////

VIG RaalNoise5 FIVESEC && ONMAP-WELL_RAAL_5 && !ISDEAD-WELL_RAAL_5 && !INCOMBAT-WELL_RAAL_5
	SWITCH RAND-12
		CASE 0
			SWITCH RAND-3
				CASE 0
					PlaySFXPerson Raal1.wav WELL_RAAL_5
				CASE 1
//					PlaySFXPerson Raal2.wav WELL_RAAL_5
				CASE 2
					PlaySFXPerson Raal9.wav WELL_RAAL_5
			ENDSWITCH 
	ENDSWITCH
END

/////////////////////////////////////////////////////////////////////

VIG RaalNoise6 FIVESEC && ONMAP-WELL_RAAL_6 && !ISDEAD-WELL_RAAL_6 && !INCOMBAT-WELL_RAAL_6
	SWITCH RAND-12
		CASE 0
			SWITCH RAND-3
				CASE 0
					PlaySFXPerson Raal1.wav WELL_RAAL_6
				CASE 1
//					PlaySFXPerson Raal2.wav WELL_RAAL_6
				CASE 2
					PlaySFXPerson Raal9.wav WELL_RAAL_6
			ENDSWITCH 
	ENDSWITCH
END

/////////////////////////////////////////////////////////////////////

VIG RaalNoise7 FIVESEC && ONMAP-WELL_RAAL_7 && !ISDEAD-WELL_RAAL_7 && !INCOMBAT-WELL_RAAL_7
	SWITCH RAND-12
		CASE 0
			SWITCH RAND-3
				CASE 0
					PlaySFXPerson Raal1.wav WELL_RAAL_7
				CASE 1
//					PlaySFXPerson Raal2.wav WELL_RAAL_7
				CASE 2
					PlaySFXPerson Raal9.wav WELL_RAAL_7
			ENDSWITCH 
	ENDSWITCH
END

/////////////////////////////////////////////////////////////////////

VIG RaalNoise8 FIVESEC && ONMAP-WELL_RAAL_8 && !ISDEAD-WELL_RAAL_8 && !INCOMBAT-WELL_RAAL_8
	SWITCH RAND-12
		CASE 0
			SWITCH RAND-3
				CASE 0
					PlaySFXPerson Raal1.wav WELL_RAAL_8
				CASE 1
//					PlaySFXPerson Raal2.wav WELL_RAAL_8
				CASE 2
					PlaySFXPerson Raal9.wav WELL_RAAL_8
			ENDSWITCH 
	ENDSWITCH
END

/////////////////////////////////////////////////////////////////////

VIG RaalNoise9 FIVESEC && ONMAP-WELL_RAAL_9 && !ISDEAD-WELL_RAAL_9 && !INCOMBAT-WELL_RAAL_9
	SWITCH RAND-12
		CASE 0
			SWITCH RAND-3
				CASE 0
					PlaySFXPerson Raal1.wav WELL_RAAL_9
				CASE 1
//					PlaySFXPerson Raal2.wav WELL_RAAL_9
				CASE 2
					PlaySFXPerson Raal9.wav WELL_RAAL_9
			ENDSWITCH 
	ENDSWITCH
END

/////////////////////////////////////////////////////////////////////
